--第八章直接衔接
--global.CallScript(7261)

function m014_1()

	--开始剧情 
	func_start(2733,2616,0)	
	--修改旗标 
	flag.SetValue(6001,141)
	--还原dlc
	--flag.SetValue(45000,2)
	local	i
	
	map.ChangeNoScript(1,1084)	--飞行石-晴


	--建立npc  
	--夏侯澜辉
	npc.Create(1,1,2466,2623)
	npc.SetAt(1,-1,0)
	--瑕	
	npc.Create(2,2,2460,2595)
	npc.SetAt(2,-1,0)
	--姜承 
	npc.Create(3,3,2566,2702)
	--暮菖兰 
	npc.Create(4,4,2557,2730)
	--皇甫卓 
	npc.Create(6,6,2572,2538)
	--赤岩
	npc.Create(291,11,2658,2640)
	npc.SetAt(11,1,0)
	-- npc.ScaleTo(11,20,1000)
	
	fade(1,0.7)
	-- 播放音乐 gs182
	global.PlayMusic(172,100,3000)		
	--镜头1 
	-- 中镜 夏侯 瑕 拉远 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2523,84,2576,2435,63,2617)	
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(2549,88,2586,2453,66,2604)	
	--瑕吃惊 
	npc.SetAnim(2,208,2)
	global.Wait(1)

	ui.Dialog(78795,194,2,2,0,0)	--兴奋 --那边就是开封了？这么快！这云来石还真厉害！
	global.Wait(1)
	npc.TurnToNpc(1,2,1)
	npc.SetAnim(1,217,2)
	ui.Dialog(78796,527,0,1,0,0)	--得意 --这次果然平安无事吧？
	
	--镜头拉远 
	camera.ResetLerp(3000)	
	camera.ChangeCameraStatic(2559,86,2640,2467,62,2610)	
	-- 皇甫卓走过来 
	npc.MoveTo(6,2508,2604,1)
	npc.TurnToNpc(6,1,1)
	global.Wait(0.5)
	
	ui.Dialog(78797,542,2,6,0,0)	--皱眉 --你们——

	-- 夏侯、瑕转向皇甫卓  
	npc.TurnToNpc(1,6)
	npc.TurnToNpc(2,6,1)
	--瑕开心 
	npc.SetAnim(2,211,2)
	global.Wait(1)

	ui.Dialog(78798,190,0,2,0,0)	--笑 --不许说“探头探脑成何体统”啊，再说我就揍你啦。
	global.Wait(1)
	
	-- 皇甫卓摇头  
	npc.SetAnim(6,207,1)
	npc.SetAnim(6,200)

	ui.Dialog(78799,547,2,6,0,0)	--无奈--……小心别掉下去。
	
	wt(0.7)
	-- ui.Dialog(78800,126,0,3,0,0)		--……
	
	
	
	
	--镜头2  
	-- 全镜  
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2450,94,2507,2480,68,2599)	
	camera.ResetLerp(3000)	
	camera.ChangeCameraStatic(2475,90,2516,2483,64,2613)		
	-- 姜承 暮菖兰走过来
	npc.SetPatrolType(4,10)
	npc.AddPatrolPoint(4,2557,2730,0)
	npc.AddPatrolPoint(4,2491,2670,0)
	npc.AddPatrolPoint(4,2491,2669,0)
	npc.MoveTo(3,2505,2647,1)	
	global.Wait(0.5)

	ui.Dialog(78801,126,0,3,0,0)	--云来石如果径直落在城中，恐怕会引起骚乱。

	--镜头转动 
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(2491,84,2538,2482,61,2635)		
	--夏侯三人转身  
	npc.TurnToNpc(1,3)
	npc.TurnToNpc(2,3)
	npc.TurnToNpc(6,3)
	global.Wait(1)

	ui.Dialog(78802,162,0,4,0,0)		--最好能在城外找个隐秘的地方落地，我们再前往城中。
	
	-- 画面震动  
	camera.Shake(3,3)
	global.Wait(1)	
	-- 众人看向四周  
	npc.TurnTo(6,-1,0,1)
	npc.TurnTo(3,-1,0)
	npc.TurnTo(4,-1,0)
	global.Wait(2)
	-- npc.SetAnim(2,243,2)
	-- global.Wait(1)
	 
	npc.TurnTo(2,-1,0,1)
	ui.Dialog(78803,185,2,2,0,0)--停下来了？
 
	-- 夏侯 瑕转向飞行石外面 
	npc.TurnTo(1,-1,0,1)
	-- npc.TurnTo(2,-1,0,1)
	global.Wait(0.5)

	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2418,64,2557,2484,63,2632)
	npc.SetAnim(2,222)
	ui.Dialog(78804,188,0,2,0,0)	--发愁  --这半空中的，咱们怎么下去啊？

	-- 夏侯转向鼎 
	npc.TurnToNpc(1,11,1)
	global.Wait(0.5)

	ui.Dialog(78805,523,2,1,0,0)--好奇 --这是何物？
	
	
	-- npc.SetAnim(2,200)
	
	--镜头3  
	-- 特写鼎  
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2590,87,2605,2672,53,2651)	
	camera.ResetLerp(3700)	
	camera.ChangeCameraStatic(2590,87,2605,2676,67,2651)		  
	-- 赤岩升起 
	npc.SetSpeed(11,0.1)
	npc.FloatTo(11,2658,80,2640,1)
	npc.SetSpeed(11,1)
	global.Wait(2)
	
	
	
	
	
	--镜头4 
	--npc位置 
	npc.SetPos(1,2513,2612)
	npc.SetPos(4,2474,2631)
	npc.SetPos(6,2493,2583)
	-- 全镜  面向夏侯，其他人背向镜头  
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2757,114,2603,2666,75,2621)
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(2709,92,2613,2615,65,2634)
	-- 夏侯走向鼎  
	npc.MoveTo(1,2615,2635,1)
	npc.TurnToNpc(1,11,1)
	global.Wait(0.5)
	-- 夏侯伸手 
	npc.SetAnim(1,245)
	wt(0.5)
	--赤岩特效 	
	-- 赤岩消失 
	npc.SetAppear(11,0,1)
	global.Wait(0.5)
	--夏侯收手
	npc.SetAnim(1,246)
	-- 震动  
	camera.Shake(3,3)	
	global.Wait(0.5)
	npc.SetAnim(1,208,2)
	
	fade(10,0.5,1.5)

	ui.Dialog(78806,523,0,1,0,0)	--黑线 	--……不会吧？！
	global.Wait(1)
	
	
	
	
	
	
	
	
	--镜头5  
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2403,83,2622,2495,59,2591)
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(2403,83,2622,2501,66,2616)	
	-- 瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)

	ui.Dialog(78807,185,0,2,0,0)		--吃惊  --哇——它又摔下去了——

	-- 暮菖兰转向瑕 
	npc.TurnToNpc(4,2,1)
	global.Wait(0.5)

	ui.Dialog(78808,179,0,4,0,0)		--担心   --妹子别掉下去了！！
	
	--震动加强 
	camera.Shake(10,8)	
	global.Wait(2)

	-- 姜承防御 
	npc.SetAnim(3,101)
	global.Wait(0.5)

	ui.Dialog(78809,138,0,3,0,0)		--紧张--小心抓住！
	
	--皇甫卓转向夏侯 
	npc.TurnToNpc(6,1,1)
	global.Wait(1)	
	
	
	
	--镜头6 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2537,74,2590,2439,63,2576)
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(2523,73,2588,2424,71,2573)	
	global.Wait(1)
	--白屏  
	-- effect.FadeOutWhite(1,0.5)		
	
	ui.Dialog(78810,552,1,6,0,0)	--怒  --夏 侯 瑾 轩—— ！ ！
	
	--等待几秒   
	global.Wait(3)
	
	
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,15,1
		do
		npc.Destroy(i)	
		end	



		
	--停止震动
	camera.Shake(0,0)
	
	
	
	
	
	
	--切地图 
	map.Change(1,34)
	player.SetPos(4722,4253)
	
	
	--npc位置 
	--夏侯澜辉
	npc.Create(1,1,4754,4089)
	npc.SetAt(1,-1,0)
	--瑕	
	npc.Create(2,2,4720,4093)
	npc.SetAt(2,1,0)
	--姜承 
	npc.Create(3,3,4754,4116)
	npc.SetAt(3,0,-1)
	--暮菖兰 
	npc.Create(4,4,4729,4110)
	npc.SetAt(4,1,-1)
	--皇甫卓 
	npc.Create(6,6,4742,4065)
	npc.SetAt(6,0,1)
	--赤岩
	npc.Create(249,11,2658,2640)






	
	
	

	--镜头7
	-- 开封城门口 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(4794,30,4067,4716,-15,4109)
	camera.ResetLerp(15000)	
	camera.ChangeCameraStatic(4812,39,4059,4731,-5,4097)		
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(1)

	npc.SetAnim(2,207,2)
	ui.Dialog(78811,195,0,2,0,0)		--呼呼——刚才真是吓死我了，还以为要摔死了呢。幸好它自己又停下来了。

	-- 瑕生气
	npc.SetAnim(2,224,2)
	global.Wait(1)

	ui.Dialog(78812,200,0,2,0,0)		--大少爷我求求你了，没事别手贱行不行！

	-- 夏侯看向手里赤岩  
	--npc.SetAnim(1,)

	ui.Dialog(78813,522,2,1,0,0)		--辩解--依我看，这赤石应该就是操控云来石飞升、降落之物，我们若想落地，势必得使用它。

	-- 暮菖兰看向夏侯 
	npc.SetHeadRotTo(4,1,1,50)
	global.Wait(0.5)

	npc.SetAnim(4,217,2)
	ui.Dialog(78814,163,0,4,0,0)		--大少爷这次虽是误打误撞，好在结果跟我们希望的一样，没有引来本地百姓的注意。

	-- 姜承点头 
	npc.SetHeadRot(3,0,20,1,45)
	global.Wait(0.2)
	npc.SetHeadRot(3,0,0,1,45)
	

	
	
	
	--镜头8
	-- 开封城门口 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(4672,38,4031,4740,-2,4092)
	-- camera.ResetLerp(0)	
	-- camera.ChangeCameraStatic(4716,26,4011,4739,-11,4101)
	-- camera.ResetLerp(8000)	
	-- camera.ChangeCameraStatic(4711,36,3989,4733,-1,4078)			
	-- 皇甫卓转向前方  
	npc.TurnTo(6,0,-1,1)
	global.Wait(0.5)

	ui.Dialog(78815,542,0,6,0,0)		--随我来吧。
	
	-- 夏侯笑 
	npc.SetAnim(1,211,2)
	global.Wait(1)
	
	ui.Dialog(78816,521,2,1,0,0)	--瑕姑娘和暮姑娘不知道，皇甫世家就在这条大路上，正对着开封府，据说有的百姓称它是小衙门呢。

	-- 皇甫卓转向夏侯 
	-- npc.TurnToNpc(6,1,1)
	-- global.Wait(0.5)
	npc.SetHeadRot(6,50,0,1,60)
	ui.Dialog(78817,550,0,6,0,0)		--皱眉 --不要胡说。
	
	npc.SetHeadRot(6,0,0)
	npc.MoveTo(6,4742,3900)
	-- wt(0.5)
	
	--众人转向皇甫卓 
	npc.TurnToNpc(2,6)
	npc.TurnToNpc(4,6)
	npc.SetHeadRotTo(3,6,0,50)
	npc.TurnToNpc(1,6)
	global.Wait(0.5)	
	
	
	
	
	
	
	
	
	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	--音乐渐停  
	global.MusicFadeIn(2000,100,0)			
	global.Wait(2)	
	-- 播放音乐 09
	global.PlayMusic(9,100,3000)	

	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,15,1
		do
		npc.Destroy(i)	
		end	
		
--删除上一个任务
ui.FinishQuest(558)
--添加任务
ui.AddQuest(559)		
if flag.GetValue(8021)==2 then
player.AddItem(342,1,0)
ui.Message(78818)	--收到了一封神秘的来信
end

	player.SetAt(0,-1)
	func_end(4740,4036,1,0.7)			
	
	


end